summaryrefslogtreecommitdiffstats
path: root/source/n/ppp
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/ppp')
-rwxr-xr-xsource/n/ppp/ppp.SlackBuild2
-rw-r--r--source/n/ppp/ppp.gcc14.diff11
2 files changed, 13 insertions, 0 deletions
diff --git a/source/n/ppp/ppp.SlackBuild b/source/n/ppp/ppp.SlackBuild
index 9504fca35..a71345dbd 100755
--- a/source/n/ppp/ppp.SlackBuild
+++ b/source/n/ppp/ppp.SlackBuild
@@ -82,6 +82,8 @@ rm -f include/linux/if_pppol2tp.h
zcat $CWD/ppp.CVE-2015-3310.diff.gz | patch -p1 --verbose || exit 1
+cat $CWD/ppp.gcc14.diff | patch -p1 --verbose || exit 1
+
# Choose correct options depending on whether PAM is installed:
if [ -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
PAM_OPTIONS="USE_PAM=y"
diff --git a/source/n/ppp/ppp.gcc14.diff b/source/n/ppp/ppp.gcc14.diff
new file mode 100644
index 000000000..a8c12efc8
--- /dev/null
+++ b/source/n/ppp/ppp.gcc14.diff
@@ -0,0 +1,11 @@
+--- ./configure.orig 2021-01-04 17:06:37.000000000 -0600
++++ ./configure 2024-05-10 20:18:35.477503626 -0500
+@@ -20,7 +20,7 @@
+ makext="linux";
+ ksrc="linux";
+ state="known";
+- CFLAGS="-O2 -g -pipe";;
++ CFLAGS="-O2 -g -pipe -Wno-error=incompatible-pointer-types";;
+ SunOS)
+ karch=`/usr/bin/isainfo -k`
+ case $release in